@import '../base/_variables.scss';

.project-header {
  box-sizing: border-box;
  font-family: $default-font;
  display: flex;
  flex-flow: column nowrap;
  flex-shrink: 0;
  justify-content: space-between;
  align-items: center;

  padding: 0.5rem;

  background-color: $primary-color;
  box-shadow: 0 3px 5px rgba(57, 63, 72, 0.3);

  width: 100%;

  height: 13vh;
  max-height: 20vh;
  margin-bottom: 0.2rem;
}

.project-menu {
  width: 100%;
  align-items: center;
  display: flex;
  overflow-x: scroll;
  justify-content: center;
}

.project-menu::-webkit-scrollbar {
  display: none;
}

.project-menu-item {
  white-space: nowrap;
  color: whitesmoke;
  font-weight: 800;
  font-size: 0.85em;
  padding: 1vh 1.8vw;
  background-image: linear-gradient($primary-color, $primary-color 100%, $secondary-color-3 0%);

  cursor: pointer;
}

.project-menu-dummy-item {
  padding: 1vh 15vw;  
}

.project-menu-item-selected {
  align-self: center;
  color: $secondary-color-3;
  background-image: linear-gradient($primary-color, $primary-color 92%, $secondary-color-3 8%);

  transition-property: background-image, color;
  transition-duration: 1s;
}

.project-header-top {
  display: flex;
  width: 100%;
  margin-bottom: 0.5rem;
  font-size: 2em;
}

.project-header-title {
  color: whitesmoke;
  margin: 0 auto;

  cursor: default;
}

@media only screen and (max-width: 320px) {
  // mobile S
  .project-menu>.project-menu-item:first-child {
    margin-left: 14vw;
  }
}